import { defineStore } from 'pinia';

export const useSerialPortStore = defineStore('seralPort', {
	state: () => ({
		serialport: {
			port: '',
			baudrate: 115200,
			databits: 8,
			parity: 0,
			stopbits: 0
		}
	}),
	actions: {
		setSerialport(data) {
			this.serialport = data;
		}
	}
});
